Skip to main content

Query Universal Transfer History - broker user

HTTP Request

  • GET /api/v3/broker/sub-account/universalTransfer

Required Permission: SPOT_TRANSFER_READ

Request Parameters

NameTypeMandatoryDescription
clientTranIdstringno32-character alphanumeric string
fromAccountstringnotransfer from master account by default if fromAccount is not sent
toAccountstringnotransfer to master account by default if toAccount is not sent
fromAccountTypestringyesfromAccountType
toAccountTypestringyestoAccountType
startTimelongnoStart time, Unix millisecond timestamp
endTimelongnoEnd time, Unix millisecond timestamp
pagestringnodefault 1
limitstringnodefault 500, max 500
timestampstringyestimestamp
signaturestringyessign

Response Parameters

NameTypeDescription
tranIdstringtransfer ID
fromAccountstringfromAccount
toAccountstringtoAccount
clientTranIdstringclientTranId
assetstringtransfer asset
amountstringtransfer amount
fromAccountTypestringfromAccountType
toAccountTypestringtoAccountType
fromSymbolstringfromSymbol
toSymbolstringtoSymbol
statusstringtransfer status
timestampnumbertransfer time

Response

[
{
"tranId":"11945860693",
"fromAccount":"master@test.com",
"toAccount":"subaccount1@test.com",
"clientTranId":"test",
"asset":"BTC",
"amount":"0.1",
"fromAccountType":"SPOT",
"toAccountType":"FUTURE",
"fromSymbol":"SPOT",
"toSymbol":"FUTURE",
"status":"SUCCESS",
"timestamp":1544433325000
},
{
"tranId":"11945860693",
"fromAccount":"master@test.com",
"toAccount":"subaccount1@test.com",
"clientTranId":"test",
"asset":"BTC",
"amount":"0.1",
"fromAccountType":"SPOT",
"toAccountType":"FUTURE",
"fromSymbol":"SPOT",
"toSymbol":"FUTURE",
"status":"SUCCESS",
"timestamp":1544433325000
}
]